Loading...
Searching...
No Matches
BALL::QSAR::ConfigIO Class Reference

`#include <BALL/QSAR/configIO.h>`

## Static Public Member Functions

static void | putbackLine (std::istream *input, String &line)
static ModelConfiguration | readModelConfiguration (std::istream *input)
static FeatureSelectionConfiguration | readFeatureSelectionConfiguration (std::istream *input)
static InputConfiguration | readInputConfiguration (std::istream *input)
static InputPartitioningConfiguration | readInputPartitioningConfiguration (std::istream *input)
static ValidationConfiguration | readValidationConfiguration (std::istream *input)
static PredictionConfiguration | readPredictionConfiguration (std::istream *input)

## Detailed Description

Definition at line 135 of file configIO.h.

## Member Function Documentation

## putbackLine()

void BALL::QSAR::ConfigIO::putbackLine | ( | std::istream * | input,
|  | String & | line )

static

## readFeatureSelectionConfiguration()

FeatureSelectionConfiguration BALL::QSAR::ConfigIO::readFeatureSelectionConfiguration | ( | std::istream * | input | ) |

static

## readInputConfiguration()

InputConfiguration BALL::QSAR::ConfigIO::readInputConfiguration | ( | std::istream * | input | ) |

static

## readInputPartitioningConfiguration()

InputPartitioningConfiguration BALL::QSAR::ConfigIO::readInputPartitioningConfiguration | ( | std::istream * | input | ) |

static

## readModelConfiguration()

ModelConfiguration BALL::QSAR::ConfigIO::readModelConfiguration | ( | std::istream * | input | ) |

static

## readPredictionConfiguration()

PredictionConfiguration BALL::QSAR::ConfigIO::readPredictionConfiguration | ( | std::istream * | input | ) |

static

## readValidationConfiguration()

ValidationConfiguration BALL::QSAR::ConfigIO::readValidationConfiguration | ( | std::istream * | input | ) |

static